# Uses of Interface
java.lang.foreign.Linker.Option

Packages that use Linker.OptionPREVIEW
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of Linker.OptionPREVIEW in java.lang.foreign

Methods in java.lang.foreign that return Linker.OptionPREVIEW
Modifier and Type
Method
Description
`static Linker.OptionPREVIEW`
Linker.Option.`captureCallState(String... capturedState)`
Returns a linker option used to save portions of the execution state immediately after calling a foreign function associated with a downcall method handle, before it can be overwritten by the Java runtime, or read through conventional means.
`static Linker.OptionPREVIEW`
Linker.Option.`firstVariadicArg(int index)`
Returns a linker option used to denote the index indicating the start of the variadic arguments passed to the function described by the function descriptor associated with a downcall linkage request.
`static Linker.OptionPREVIEW`
Linker.Option.`isTrivial()`
Returns a linker option used to mark a foreign function as trivial.
Methods in java.lang.foreign with parameters of type Linker.OptionPREVIEW
Modifier and Type
Method
Description
`MethodHandle`
Linker.`downcallHandle(FunctionDescriptorPREVIEW function, Linker.OptionPREVIEW... options)`
Creates a method handle which is used to call a foreign function with the given signature.
`MethodHandle`
Linker.`downcallHandle(MemorySegmentPREVIEW address, FunctionDescriptorPREVIEW function, Linker.OptionPREVIEW... options)`
Creates a method handle which is used to call a foreign function with the given signature and address.
`MemorySegmentPREVIEW`
Linker.`upcallStub(MethodHandle target, FunctionDescriptorPREVIEW function, ArenaPREVIEW arena, Linker.OptionPREVIEW... options)`
Creates an upcall stub which can be passed to other foreign functions as a function pointer, associated with the given arena.